# PetscMemorySetGetMaximumUsage

Tells PETSc to monitor the maximum memory usage so that PetscMemoryGetMaximumUsage() will work.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscMemorySetGetMaximumUsage(void)

Not Collective

### Options Database Key

-memory_info -Print memory usage at end of run
-malloc_log -Activate logging of memory usage

### See Also

PetscMallocGetMaximumUsage(), PetscMemoryGetCurrentUsage(), PetscMallocGetCurrentUsage(),
PetscMemoryGetMaximumUsage()

Level:intermediate
Location: src/sys/memory/mem.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages